Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Post digital signature to workflow

Request

Security
Bearer
Body
signatureStrstring or null

Image string for the signature

emailstring or null

Operator's email

certPasswordstring or null

Operator specific password used during cert creation

locationstring or null

Location of the operation being performed

reasonstring or null

The reason the operation and signature

userNamestring or null

The operator's name

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/signature' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "signatureStr": "string",
    "email": "string",
    "certPassword": "string",
    "location": "string",
    "reason": "string",
    "userName": "string"
  }'

Responses

The digital signature was added successfully

Response
No content

Post clear digital signature from workflow

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/signature/clear' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The digital signature was added successfully

Response
No content

Creates a verification workflow

Request

Security
Bearer
Body
verificationRoutineIdsArray of integers or null(int32)

The verification routine IDs to run

firstNamestring or null

The operator's first name

lastNamestring or null

The operator's last name

locationstring or null

The verification location

reasonstring or null

The verification reason

temperaturenumber or null(double)

The current ambient temperature

humiditynumber or null(double)

The current ambient humidity

verificationDevicesArray of objects or null(VerificationDeviceDto)

The list of required device calibration information

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/workflow' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "verificationRoutineIds": [
      0
    ],
    "firstName": "string",
    "lastName": "string",
    "location": "string",
    "reason": "string",
    "temperature": 0.1,
    "humidity": 0.1,
    "verificationDevices": [
      {
        "deviceType": "ThermoHygrometer",
        "calibrationId": "string",
        "calibrationExpirationDate": "2019-08-24T14:15:22Z",
        "expirationEnabled": true
      }
    ]
  }'

Responses

The workflow was created successfully

Response
No content

VerificationResult

Operations